const customValueRegex = /^\[(.+)\]$/;
const fractionRegex = /^\d+\/\d+$/;
const stringLengths = new Set(['px', 'full', 'screen']);
const lengthUnitRegex = /\d+(%|px|em|rem|vh|vw|pt|pc|in|cm|mm|cap|ch|ex|lh|rlh|vi|vb|vmin|vmax)/;
export function isLength(classPart) {
    const customValue = customValueRegex.exec(classPart)?.[1];
    if (customValue) {
        return customValue.startsWith('length:') || lengthUnitRegex.test(customValue);
    }
    return (!Number.isNaN(Number(classPart)) ||
        stringLengths.has(classPart) ||
        fractionRegex.test(classPart));
}
export function isInteger(classPart) {
    const customValue = customValueRegex.exec(classPart)?.[1];
    if (customValue) {
        return Number.isInteger(Number(customValue));
    }
    return Number.isInteger(Number(classPart));
}
export function isAny() {
    return true;
}
//# sourceMappingURL=config-validators.js.map