export function createPrefixUtils(config) {
    const prefixToIndexMap = Object.fromEntries(config.prefixes.map((prefix, index) => [prefix, index]));
    function isValid(maybePrefix) {
        return prefixToIndexMap[maybePrefix] !== undefined;
    }
    function compare(firstPrefix, secondPrefix) {
        return prefixToIndexMap[firstPrefix] - prefixToIndexMap[secondPrefix];
    }
    return {
        isValid,
        compare,
    };
}
//# sourceMappingURL=prefix-utils.js.map