import { createConfigUtils } from './config/config-utils';
import { getDefaultConfig } from './config/default-config';
import { getLruCache } from './lru-cache';
import { mergeClassList } from './merge-classlist';
export function createTailwindMerge(createConfig) {
    const config = createConfig(getDefaultConfig);
    const configUtils = createConfigUtils(config);
    const cache = getLruCache(config.cacheSize);
    return function tailwindMerge(...classLists) {
        const classList = classLists.filter(Boolean).join(' ');
        const cachedResult = cache.get(classList);
        if (cachedResult) {
            return cachedResult;
        }
        const result = mergeClassList(classList, configUtils);
        cache.set(classList, result);
        return result;
    };
}
//# sourceMappingURL=tailwind-merge.js.map